@charset "UTF-8";

* {
	margin: 0;
	padding: 0;
	list-style: none;
	text-decoration: none;
	font-weight: 300;
	box-sizing: border-box;
}

.zen-kaku-gothic-new-light {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.zen-kaku-gothic-new-regular {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.zen-kaku-gothic-new-medium {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.zen-kaku-gothic-new-bold {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.zen-kaku-gothic-new-black {
  font-family: "Zen Kaku Gothic New", sans-serif;
  font-weight: 900;
  font-style: normal;
}

body {
    font-family: 'Zen Kaku Gothic New', sans-serif;
}

img {
	width: auto;
	height: 100%;
}

a {
    color: #000;
    transition: .3s ease-in-out;
}
a:hover {
    color: rgb(255, 200, 0);
}

.pc {
    display: inline-block;
}
.sp {
    display: none;
}

/* header */
.header__inner {
    display: flex;
    justify-content: space-between;
    align-content: center;
    padding: 20px 50px 10px;
    width: 100%;
    height: auto;
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    background-color: rgba(255, 255, 255, 30%);
	backdrop-filter: blur(5px);
    z-index: 10;
}

.header__inner__logo {
    margin: auto 0;
    height: 40px;
}

.header__inner__nav__heading {
    font-weight: 400;
    position: relative;
    padding-right: 100px;
}

.header__inner__nav__heading::after {
    content: '';
    display: inline-block;
    position: absolute;
    top: 50%;
    margin-left: 10px;
    width: 50px;
    height: .5px;
    background-color: #000;
}

.header__inner__nav {
    display: flex;
    align-items: center
}

.header__inner__nav__content {
    display: flex;
    gap: 50px;
    align-items: center;
}

li a {
    font-weight: 400;
}

.textcenter {
    text-align: center;
}

/* main */
.sectionheading {
    width: 100%;
}

.sectionheading h1 {
    display: flex;
    font-size: 20px;
}

.content {
    display: flex;
    flex-direction: column;
    gap: 70px;
    margin: 0 auto 200px;
    width: calc((1000 / 1440)*100%);
}

.graphic {
    margin: 0 auto;
    aspect-ratio: 2 / 1;
    width: calc((1140 / 1440)*100%);
    border: 1px solid #000;
}

.graphic01 {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    border: none;
    opacity: 0.5;
    pointer-events: none;
    cursor: pointer;
    z-index: -1;
}

.graphic01 p {
    position: absolute;
    top: 30%;
    left: 50%;
    transform: translate(-50%,0);
    z-index: 1;
    opacity: 0;
}

.graphic01__content {
    width: 100%;
    height: 100%;
    background-color: #ffffff;
}

.graphic01__btn {
    position: fixed;
    bottom: 20%;
    left: 50%;
    transform: translate(-50%,0);
    opacity: 0;
    pointer-events: none;
    transition: opacity .5s ease-in-out;
    padding: 40px 30px;
    border: solid .5px #000;
    background-color: #FFF;
    border-radius: 100px;
}

:not(:defined) > * {
  display: none;
}

.progress-bar {
  display: block;
  width: 33%;
  height: 10%;
  max-height: 2%;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate3d(-50%, -50%, 0);
  border-radius: 25px;
  box-shadow: 0px 3px 10px 3px rgba(0, 0, 0, 0.5), 0px 0px 5px 1px rgba(0, 0, 0, 0.6);
  border: 1px solid rgba(255, 255, 255, 0.9);
  background-color: rgba(0, 0, 0, 0.5);
}

.progress-bar.hide {
  visibility: hidden;
  transition: visibility 0.3s;
}

.update-bar {
  background-color: rgba(255, 255, 255, 0.9);
  width: 0%;
  height: 100%;
  border-radius: 25px;
  float: left;
  transition: width 0.3s;
}

#ar-button {
  background-image: url(./images/ar_icon.png);
  background-repeat: no-repeat;
  background-size: 20px 20px;
  background-position: 12px 50%;
  background-color: #fff;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  white-space: nowrap;
  bottom: 16px;
  padding: 0px 16px 0px 40px;
  font-family: Roboto Regular, Helvetica Neue, sans-serif;
  font-size: 14px;
  color:#4285f4;
  height: 36px;
  line-height: 36px;
  border-radius: 18px;
  border: 1px solid #DADCE0;
}

#ar-button:active {
  background-color: #E8EAED;
}

#ar-button:focus {
  outline: none;
}

#ar-button:focus-visible {
  outline: 1px solid #4285f4;
}

@keyframes circle {
  from { transform: translateX(-50%) rotate(0deg) translateX(50px) rotate(0deg); }
  to   { transform: translateX(-50%) rotate(360deg) translateX(50px) rotate(-360deg); }
}

@keyframes elongate {
  from { transform: translateX(100px); }
  to   { transform: translateX(-100px); }
}

model-viewer > #ar-prompt {
  position: absolute;
  left: 50%;
  bottom: 60px;
  animation: elongate 2s infinite ease-in-out alternate;
  display: none;
}

model-viewer[ar-status="session-started"] > #ar-prompt {
  display: block;
}

model-viewer > #ar-prompt > img {
  animation: circle 4s linear infinite;
}

.caption {
    text-align: center;
}

.caption00 {
    display: flex;
    flex-direction: column;
    gap: 60vh;
    width: calc((1140 / 1440)*100%);
    margin: 0 auto;
    text-align: center;
}

.caption__before01__padding {
    padding-bottom: 50vh;
}

.caption p {
    position: relative;
    opacity: 0;
    margin: 30vh 0;
}

.caption__after01 {
    margin-top: 100vh;
}

.caption p.long__txt {
    width: calc((1140 / 1440)*100%);
    margin: 0 auto;
}

.is-active {
    opacity: 1 !important;
}

.sectionheading {
    margin-bottom: 80px;
}

.sectionheading h1::before {
    content: "";
    display: block;
    margin: auto 30px auto 0;
    width: calc((300 / 1440)*100%);
    height: 1px;
    background-color: #000;
}



#hero,
#know,
#look,
#touch,
#hear,
#think,
#call {
    margin: 0 auto 300px;
    scroll-margin-top: 150px;
}

#hero {
    display: flex;
    flex-direction: column;
    gap: 200px;
    margin: 150px auto 300px;
    width: 500px;
}

.hero__mainvisual {
    width: 100%;
    margin-top: 200px;
}

.hero__mainvisual::after {
    content: '';
    display: block;
    width: 1px;
    height: 100px;
    position: absolute;
    bottom: 15%;
    left: 50%;
    transform: translateX(-50%);
    background-color: #000;
    animation: line-flow 2s ease-in-out infinite;
    transform-origin: top;
}

@keyframes line-flow {
    0% {
        transform: translateX(-50%) scaleY(0);
        opacity: 0;
    }
    50% {
        transform: translateX(-50%) scaleY(1);
        opacity: 1;
    }
    100% {
        transform: translateX(-50%) scaleY(1);
        opacity: 0;
    }
}

.think_understand {
    margin: 500px 0 100px;
}

.scene {
    position: relative;
    height: 100vh;
    overflow: hidden;
}

.card {
    width: calc((500 / 1440)*100%);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


img {
    width: 100%;
    height: 100%;
}

.line {
    margin: 0 auto 300px;
    width: calc((1300 / 1440)*100%);
    height: 1px;
    background-color: #000;
}

.page__top__btn {
    position: fixed;
    bottom: 80px;
    right: 30px;
    width: 70px;
    height: 70px;
    border: none;
    background-color: rgba(255, 255, 255, 0%);
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
    transition: opacity .3s ease-in-out, visibility .3s ease-in-out;
}

.page__top__btn.is-show {
  opacity: 1;
  visibility: visible;
}

@media screen and (max-width:768px) {
    .pc {
        display: none;
    }
    .sp {
        display: inline-block;
    }

    #hero,
    #know,
    #look,
    #touch,
    #hear,
    #think,
    #call {
        width: calc((300 / 375)*100%);
        margin: 0 auto 150px;
    }

    #hero {
        margin: 250px auto 150px;
    }

    #think {
        margin: 0 auto;
    }

    #call {
        margin: 0 auto 200px;
    }

    .header__inner {
        padding: 0 30px;
        gap: 50px;
    }

    .header__inner__logo {
        width: 150px;
        height: auto;
    }

    .header__inner__nav__content {
        flex-direction: column;
        align-items: flex-end;
        position: fixed;
        top: 0;
        right: -100%;
        opacity: 0;
        background-color: rgba(255, 255, 255, 70%);
    	backdrop-filter: blur(5px);
        transition: .3s ease-in-out;
        padding: 100px 20px 20px 20px;
        flex-wrap: wrap;
        row-gap: 20px;
        column-gap: 30px;
        width: auto;
        list-style-type: none;
        font-size: 18px;
    }

    .header__inner__nav__content.open {
        right: 0;
        opacity: 1;
    }

    .header__inner__nav__hamburger {
        position: fixed;
        top: 35px;
        right: 20px;
        width: 30px;
        cursor: pointer;
        z-index: 20;
    }

    .header__inner__nav__hamburger span {
        display: block;
        height: 3px;
        width: 100%;
        background-color: #333;
        margin: 5px 0;
        transition: 0.4s;
    }

    .header__inner__nav__hamburger.active span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
    }

    .header__inner__nav__hamburger.active span:nth-child(2) {
    opacity: 0;
    }

    .header__inner__nav__hamburger.active span:nth-child(3) {
    transform: rotate(-45deg) translate(6px, -6px);
    }

    .header__inner__nav__heading {
        display: none;
    }


    .content {
        gap: 70px;
        margin: 0 auto 100px;
        width: 100%;
    }

    .graphic {
        width: 100%;
    }

    .caption {
        gap: 80px;
    }

    .card {
        width: calc((300 / 375)*100%);
    }

    .think_understand {
        margin: 200px 0 0;
    }

    .page__top__btn {
        bottom: 30px;
        right: 0px;
    }
}